Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.http
Class SOAPServer

    java.lang.Object
      org.exist.http.SOAPServer

public class SOAPServer
extends java.lang.Object

Author:
  Adam Retter (adam.retter@devon.gov.uk)

Field Summary
`static java.lang.String` | `WEBSERVICE_MODULE_EXTENSION`

Constructor Summary
`SOAPServer(java.lang.String formEncoding, java.lang.String containerEncoding)` Constructor

Method Summary
`void` | `doGet(DBBroker broker, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String path)` HTTP GET Processes requests for description documents - WSDL, Human Readable and Human Readable for a specific function TODO: I think simple webservices can also be called using GET, so we may need to cater for that as well but first it would be best to write the doPost() method, split the code out into functions and also use it for this.
`void` | `doPost(DBBroker broker, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String path)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WEBSERVICE_MODULE_EXTENSION

    public static final java.lang.String WEBSERVICE_MODULE_EXTENSION

See Also:
  Constant Field Values

Constructor Detail

### SOAPServer

    public SOAPServer(java.lang.String formEncoding,
                      java.lang.String containerEncoding)

  Constructor

Parameters:
  `formEncoding` - The character encoding method to be used for form data
  `containerEncoding` - The character encoding method to be used for the container

Method Detail

### doGet

    public void doGet(DBBroker broker,
                      javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response,
                      java.lang.String path)
               throws BadRequestException,
                      PermissionDeniedException,
                      NotFoundException,
                      java.io.IOException

  HTTP GET Processes requests for description documents - WSDL, Human Readable and Human Readable for a specific function TODO: I think simple webservices can also be called using GET, so we may need to cater for that as well but first it would be best to write the doPost() method, split the code out into functions and also use it for this.

  Throws:
    `BadRequestException`
    `PermissionDeniedException`
    `NotFoundException`
    `java.io.IOException`

### doPost

    public void doPost(DBBroker broker,
                       javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response,
                       java.lang.String path)
                throws BadRequestException,
                       PermissionDeniedException,
                       java.io.IOException

  Throws:
    `BadRequestException`
    `PermissionDeniedException`
    `java.io.IOException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.